Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSoundBuffer_DS Class Reference

`#include <DirectSound.hpp>`

Inheritance diagram for IdeSoundBuffer_DS:

[legend]
Collaboration diagram for IdeSoundBuffer_DS:

[legend]
List of all members.

## Public Member Functions
| IdeSoundBuffer_DS ()
| IdeSoundBuffer_DS (IdeSoundSystem *ss, IdeSoundData *data)
virtual | ~IdeSoundBuffer_DS ()
deBoolean | Initialize (IdeSoundSystem *ss, IdeSoundData *data)
deBoolean | Destroy ()
IdeResourceBase * | MakeCopy ()
void * | GetInterface (int interface_id)
void | GetConfig (deSoundCfg &Cfg)
void | SetConfig (deSoundCfg Cfg)
deBoolean | SetVolume (long vol)
deBoolean | SetPan (long pan)
deBoolean | SetFrequency (long freq)
long | GetVolume ()
long | GetPan ()
long | GetFrequency ()
deBoolean | ApplySettings ()
deBoolean | Play (deBoolean loop=deFALSE)
deBoolean | Update ()
deBoolean | Stop (deBoolean rewind=deTRUE)
deBoolean | IsPlaying ()
deBoolean | Rewind ()
## Public Attributes
IDirectSoundBuffer * | m_pBuffer
IDirectSound3DBuffer * | m_p3DBuffer
WAVEFORMATEX | m_Format
DSBUFFERDESC | m_Desc
deSoundCfg | m_Cfg
IdeSoundSystem_DS * | m_pSS
int | m_RefCount
IdeSoundData * | m_pData
DWORD | m_BufferSize
int | m_CurrWritePos
DWORD | m_DataPosition
DWORD | m_SecureDistance
u32 | m_LastPlayPos
u32 | m_BufferLoops
deBoolean | m_Loop

## Constructor & Destructor Documentation

IdeSoundBuffer_DS::IdeSoundBuffer_DS | ( |  | ) |

IdeSoundBuffer_DS::IdeSoundBuffer_DS | ( | IdeSoundSystem * | ss,
|  | IdeSoundData * | data
| ) |

IdeSoundBuffer_DS::~IdeSoundBuffer_DS | ( |  | ) | `[virtual]`

## Member Function Documentation

deBoolean IdeSoundBuffer_DS::ApplySettings | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::Destroy | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

void IdeSoundBuffer_DS::GetConfig | ( | deSoundCfg & | Cfg | ) | `[virtual]`

| Implements IdeSoundBuffer.

long IdeSoundBuffer_DS::GetFrequency | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

void * IdeSoundBuffer_DS::GetInterface | ( | int | interface_id | ) | `[virtual]`

| Implements IdeSoundBuffer.

long IdeSoundBuffer_DS::GetPan | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

long IdeSoundBuffer_DS::GetVolume | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::Initialize | ( | IdeSoundSystem * | ss,
|  | IdeSoundData * | data
| ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::IsPlaying | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

IdeResourceBase * IdeSoundBuffer_DS::MakeCopy | ( |  | ) |

deBoolean IdeSoundBuffer_DS::Play | ( | deBoolean | loop = deFALSE | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::Rewind | ( |  | ) |

void IdeSoundBuffer_DS::SetConfig | ( | deSoundCfg | Cfg | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::SetFrequency | ( | long | freq | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::SetPan | ( | long | pan | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::SetVolume | ( | long | vol | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::Stop | ( | deBoolean | rewind = deTRUE | ) | `[virtual]`

| Implements IdeSoundBuffer.

deBoolean IdeSoundBuffer_DS::Update | ( |  | ) | `[virtual]`

| Implements IdeSoundBuffer.

## Member Data Documentation

u32 IdeSoundBuffer_DS::m_BufferLoops

DWORD IdeSoundBuffer_DS::m_BufferSize

deSoundCfg IdeSoundBuffer_DS::m_Cfg

int IdeSoundBuffer_DS::m_CurrWritePos

DWORD IdeSoundBuffer_DS::m_DataPosition

DSBUFFERDESC IdeSoundBuffer_DS::m_Desc

WAVEFORMATEX IdeSoundBuffer_DS::m_Format

u32 IdeSoundBuffer_DS::m_LastPlayPos

deBoolean IdeSoundBuffer_DS::m_Loop

IDirectSound3DBuffer* IdeSoundBuffer_DS::m_p3DBuffer

IDirectSoundBuffer* IdeSoundBuffer_DS::m_pBuffer

IdeSoundData* IdeSoundBuffer_DS::m_pData

IdeSoundSystem_DS* IdeSoundBuffer_DS::m_pSS

int IdeSoundBuffer_DS::m_RefCount

DWORD IdeSoundBuffer_DS::m_SecureDistance

The documentation for this class was generated from the following files:

- DirectSound.hpp
- DirectSound.cpp